Skip to main content
GET
/
api
/
v1
/
invoice_batches
/
{invoice_batch_id}
/
batch_invoices
List invoices inside a batch
curl --request GET \
  --url https://staging.app.yofacturo.es/api/v1/invoice_batches/{invoice_batch_id}/batch_invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "external_invoice_id": "<string>",
      "invoice_number": "<string>",
      "total_after_taxes": "<string>",
      "processing_status": "<string>",
      "processing_error": "<string>",
      "issued_invoice_id": 123,
      "verifactu_state": "remission"
    }
  ],
  "meta": {
    "current_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "per_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yofacturo.es/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_batch_id
integer
required
Required range: x >= 1

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Paginated list of batch invoices

data
object[]
required
meta
object
required